# -*- coding: utf-8 -*-
# Generated by Django 1.11.10 on 2021-02-04 11:51
from __future__ import unicode_literals

from django.conf import settings
from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    dependencies = [
        ('core', '0028_filial_email_for_complaints'),
    ]

    operations = [
        migrations.CreateModel(
            name='Equipment',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('thickness_gauge', models.CharField(blank=True, default='', max_length=250, null=True, verbose_name='Толщиномер')),
                ('launch', models.CharField(blank=True, default='', max_length=250, null=True, verbose_name='Лаунч')),
                ('comp_diagnostic', models.CharField(blank=True, default='', max_length=250, null=True, verbose_name='Компьютерная диагностика')),
                ('gas_analyze', models.BooleanField(default=False, verbose_name='Газоанализатор')),
                ('endoscope', models.BooleanField(default=False, verbose_name='Эндоскоп')),
                ('straightedge', models.BooleanField(default=False, verbose_name='Линейка')),
                ('flashlight', models.BooleanField(default=False, verbose_name='Фонарик')),
                ('flashlight_ultra_violet', models.BooleanField(default=False, verbose_name='Фонарик ультра-фиолетовый')),
                ('mirror', models.BooleanField(default=False, verbose_name='Зеркало')),
                ('currency_detector', models.BooleanField(default=False, verbose_name='Детектор валют')),
                ('expert', models.ForeignKey(blank=True, default=None, null=True, on_delete=django.db.models.deletion.CASCADE, related_name='user_equipment', to=settings.AUTH_USER_MODEL, verbose_name='Експерт')),
            ],
            options={
                'verbose_name_plural': 'Список оборудования',
                'verbose_name': 'Список оборудования',
            },
        ),
    ]
